Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 119561 - Kernel: buffer overflow in TwinHan DST DVB driver (CVE-2005-4639)
Summary: Kernel: buffer overflow in TwinHan DST DVB driver (CVE-2005-4639)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Kernel (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: [linux < 2.6.15]
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-19 08:43 UTC by Thierry Carrez (RETIRED)
Modified: 2009-05-03 16:01 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Carrez (RETIRED) gentoo-dev 2006-01-19 08:43:00 UTC
Perceval Anichini found a buffer overflow in the TwinHan DST
Frontend/Card DVB driver. A local user could exploit this to crash the
kernel or possibly execute arbitrary code with full kernel privileges (CVE-2005-4639)
Comment 2 Tim Yamin (RETIRED) gentoo-dev 2006-01-22 16:17:54 UTC
CCing maintainers:

hardened-sources: hardened herd, kerframil, johnm
mips-sources: Kumba (this probably might not affect MIPS)
rsbac-sources: kang
xbox-sources: gimli
Comment 3 Kerin Millar 2006-02-01 10:29:54 UTC
Fixed in hardened-sources-2.6.14-r5 and genpatches-2.6.14-10.
Comment 4 Tim Yamin (RETIRED) gentoo-dev 2006-04-20 10:55:58 UTC
All fixed now, thanks!